package ssw.annotation.AnnotationFileHandler;
/*
 * Created on 08.03.2005
 */

/**
 *   Copyright (C) 2005  Stefan Loidl
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 *   
 *   eMail: stefanloidl@gmx.net
 *   
 * This is the interface for annotation objects. It doesnt contain any content specific 
 * definitions, as the content should not be of interest in this file handling implementation. 
 * The data contained in annotation objects is converted to a CSV string which then can 
 * easily be saved in a plain text file. An annotation item also should be able to be 
 * initialized using a CSV string. 
 * The CSV format was chosen because of the fact that annotations typically are saved in 
 * files and a single string format is easy to save and to restore, within the value 
 * range that is expected of an annotation.
 * 
 * @version 1.0.0    
 * @author Loidl Stefan, 0255886
 */
public interface AnnotationItem {
	
	/**
	 * Return the data in CSV format.
	 * @return
	 */
	public String getCSVLine();
	
	/**
	 * Retrives the data from a String in CSV format.
	 * @param csv
	 * @return
	 */
	public boolean setFromCSV(String csv);

}
